Package Details: ttop 1.5.0-1

Git Clone URL: https://aur.archlinux.org/ttop.git (read-only, click to copy)
Package Base: ttop
Description: System monitoring tool with historical data service, triggers and top-like TUI
Upstream URL: https://github.com/inv2004/ttop
Keywords: monitoring processes system top
Licenses: MIT
Submitter: inv2004
Maintainer: inv2004
Last Packager: inv2004
Votes: 9
Popularity: 0.50
First Submitted: 2022-12-25 01:08 (UTC)
Last Updated: 2024-04-01 23:44 (UTC)

Dependencies (2)

Required by (0)

Sources (2)

Latest Comments

begin-theadventu commented on 2024-04-04 21:19 (UTC)

@inv2004 Nice.

inv2004 commented on 2024-04-01 01:39 (UTC)

@begin-theadventu

Just pushed it. Thank you.

begin-theadventu commented on 2024-03-26 21:51 (UTC)

@inv2004 Please consider my PKGBUILD (password: pkgbuild). I could create a change log if you'd like.

begin-theadventu commented on 2024-03-26 21:02 (UTC) (edited on 2024-03-26 21:14 (UTC) by begin-theadventu)

@inv2004 Change source to $url.git#tag=$pkgver, as it currently uses the latest commit and this package is not a -git package.

Edit: checkout is used, but version can be specified in source too. pkgver section should not be used (not a -git package).

So, delete: pkgver() & prepare() sections and change source to $url.git#tag=$pkgver.

License should also be installed under /usr/share/licenses/ttop.

inv2004 commented on 2024-03-22 00:14 (UTC)

@Bomfunk

it was mentioned here: https://github.com/inv2004/ttop/issues/31#issuecomment-2006302921

did you install from yay. I just checked and it work if you do it from source manually then rm -rf ~/.nimble/pkg2/illwill-*

Bomfunk commented on 2024-03-20 22:26 (UTC)

1.4.1-1 build fails for me with this (I think previous one failed like this too):

/home/bomfunk/.cache/yay/ttop/src/ttop/src/ttop/tui.nim(491, 13) Error: undeclared identifier: 'getKeyWithTimeout'
candidates (edit distance, scope distance); see '--spellSuggest': 
 (9, 5): 'getCreationTime'
       Tip: 18 messages have been suppressed, use --verbose to show them.
nimble.nim(229)          buildFromDir

    Error:  Build failed for the package: ttop
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: ttop-exit status 4

inv2004 commented on 2023-09-07 20:05 (UTC) (edited on 2023-09-08 01:05 (UTC) by inv2004)

illwill dep forked to satisfy nim 1.6.10 dep

Alghazanth commented on 2023-09-07 14:04 (UTC)

The package is broken yet, Unsatisfied dependency: nim (>= 1.6.12).

jose1711 commented on 2023-04-27 17:01 (UTC)

Error: Unsatisfied dependency: nim (>= 1.6.12)